{
  "type": "minecraft:crafting_shaped",
  "category": "redstone",
  "key": {
    "C": "#vb:chests",
    "I": "minecraft:iron_ingot"
  },
  "pattern": [
    "I I",
    "ICI",
    " I "
  ],
  "result": {
    "count": 2,
    "id": "minecraft:hopper"
  }
}